# samples/11_camera_object_identification/opencv_consumer_lib/opencv_consumer.cpp File Reference

`#include <iostream>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <pthread.h>`
`#include <sys/time.h>`
`#include "opencv2/opencv.hpp"`
`#include <opencv2/core/core.hpp>`
`#include <opencv2/highgui/highgui.hpp>`
`#include <opencv2/imgproc/imgproc_c.h>`
`#include "Classifier.h"`
`#include "opencv_consumer_interface.h"`

Go to the source code of this file.

## Classes

struct | opencv_sample_handler

## Functions

void | opencv_set_config (void *opencv_handler, int config_id, void *arg)
void * | opencv_handler_open (void)
void | opencv_handler_close (void *opencv_handler)
void | opencv_img_processing (void *opencv_handler, uint8_t *pdata, int32_t width, int32_t height)

## Function Documentation

void opencv_handler_close | ( | void * | opencv_handler | ) |

Definition at line 208 of file opencv_consumer.cpp.

void* opencv_handler_open | ( | void |  | ) |

Definition at line 192 of file opencv_consumer.cpp.

void opencv_img_processing | ( | void * | opencv_handler,
|  | uint8_t * | pdata,
|  | int32_t | width,
|  | int32_t | height |
| ) |  |  |

Definition at line 229 of file opencv_consumer.cpp.

void opencv_set_config | ( | void * | opencv_handler,
|  | int | config_id,
|  | void * | arg |
| ) |  |  |

Definition at line 146 of file opencv_consumer.cpp.